/**
 * @file  crc.h
 * @brief Schnittstelle fuer 32bit/16bit CRC - Routinen.
 */
//////////////////////////////////////////////////////////////////////
#pragma once
#ifndef CRC_H
#define CRC_H

extern void InitCRC32Table();
extern unsigned int GetCRC32( const unsigned char *data, unsigned int size, unsigned int crc = 0xFFFFFFFF, bool closure = true );
extern unsigned short GetCRC16( const unsigned char *data, unsigned int size, unsigned short crc = 0xFFFF );

#endif

